Subject: bug#7296: display-pixel-height not enough

From: Lennart Borgman <[email-masked]>
Date: Sun, 31 Oct 2010 11:46:58 +0100

On Sun, Oct 31, 2010 at 5:13 AM, YAMAMOTO Mitsuharu
<[email-masked]> wrote:
>
> Some X11 window managers automatically adjust window position/size
> (and send some notifications to the application) when it appears, so
> it fits in the screen.  On Mac OS X, Cocoa also does similar
> adjustments for document windows (roughly speaking, windows with title
> bar), and Carbon doesn't.
>
> Sometimes it gives a cleaner implementation to emulate such window
> manager tasks at the application side for non-X11 ports.  For example,
> the Mac port emulates maximized, fullwidth, fullheight, and fullscreen
> windows, which are (EWMH-aware) window-manager tasks on X11, at the
> application side.  Perhaps W32 can do similar things for window
> position/size adjustments so the window height is automatically
> shortened when the specified height exceeds the "available" height.

It is possible to do this on w32. (But it is a bit more complicated
than what I suggested here.)